function OnClick()
    s.s03_0112_chest_reg_opened = 1
    
    PlaySound("s03_0112_chest_open")
    
    if s.s03_0112_chest_reg_was_opened == 0 then    
        Sleep(1000)
        Sound("snd_s03_0112_i_tile_pieces")   
        TakeBigPanel("i_tilepieces")
		s.s03_0112_chest_reg_tile_pieces_taken = 1
    end
    s.s03_0112_chest_reg_was_opened = 1
   
end
-- s.s03_0112_chest_solved = 1
